## xen 4.9.0

=== xen/Makefile ===
# This is the correct place to edit the build version.
# All other places this is stored (eg. compile.h) should be autogenerated.
export XEN_VERSION       = 4
export XEN_SUBVERSION    = 9
export XEN_EXTRAVERSION ?= .0$(XEN_VENDORVERSION)
export XEN_FULLVERSION   = $(XEN_VERSION).$(XEN_SUBVERSION)$(XEN_EXTRAVERSION)
-include xen-version

export XEN_WHOAMI	?= $(USER)
export XEN_DOMAIN	?= $(shell ([ -x /bin/dnsdomainname ] && /bin/dnsdomainname) || ([ -x /bin/domainname ] && /bin/domainname || echo [unknown]))
export XEN_BUILD_DATE	?= $(shell LC_ALL=C date)
export XEN_BUILD_TIME	?= $(shell LC_ALL=C date +%T)
export XEN_BUILD_HOST	?= $(shell hostname)
export XEN_CONFIG_EXPERT ?= n

export BASEDIR := $(CURDIR)
export XEN_ROOT := $(BASEDIR)/..

# Do not use make's built-in rules and variables
MAKEFLAGS += -rR

EFI_MOUNTPOINT ?= $(BOOT_DIR)/efi

ARCH=$(XEN_TARGET_ARCH)
SRCARCH=$(shell echo $(ARCH) | sed -e 's/x86.*/x86/' -e s'/arm\(32\|64\)/arm/g')

# Don't break if the build process wasn't called from the top level
# we need XEN_TARGET_ARCH to generate the proper config
include $(XEN_ROOT)/Config.mk

# Allow someone to change their config file
export KCONFIG_CONFIG ?= .config

.PHONY: default
default: build

.PHONY: dist
dist: install

build install:: include/config/auto.conf

.PHONY: build install uninstall clean distclean cscope TAGS tags MAP gtags tests
build install uninstall debug clean distclean cscope TAGS tags MAP gtags tests::
ifneq ($(XEN_TARGET_ARCH),x86_32)
	$(MAKE) -f Rules.mk _$@
else
	echo "*** Xen x86/32 target no longer supported!"
endif

.PHONY: _build
_build: $(TARGET)$(CONFIG_XEN_INSTALL_SUFFIX)

.PHONY: _install
_install: D=$(DESTDIR)
_install: T=$(notdir $(TARGET))
_install: Z=$(CONFIG_XEN_INSTALL_SUFFIX)
_install: $(TARGET)$(CONFIG_XEN_INSTALL_SUFFIX)
	[ -d $(D)$(BOOT_DIR) ] || $(INSTALL_DIR) $(D)$(BOOT_DIR)
	$(INSTALL_DATA) $(TARGET)$(Z) $(D)$(BOOT_DIR)/$(T)-$(XEN_FULLVERSION)$(Z)
	ln -f -s $(T)-$(XEN_FULLVERSION)$(Z) $(D)$(BOOT_DIR)/$(T)-$(XEN_VERSION).$(XEN_SUBVERSION)$(Z)
	ln -f -s $(T)-$(XEN_FULLVERSION)$(Z) $(D)$(BOOT_DIR)/$(T)-$(XEN_VERSION)$(Z)
	ln -f -s $(T)-$(XEN_FULLVERSION)$(Z) $(D)$(BOOT_DIR)/$(T)$(Z)
	[ -d "$(D)$(DEBUG_DIR)" ] || $(INSTALL_DIR) $(D)$(DEBUG_DIR)
	$(INSTALL_DATA) $(TARGET)-syms $(D)$(DEBUG_DIR)/$(T)-syms-$(XEN_FULLVERSION)
	$(INSTALL_DATA) $(TARGET)-syms.map $(D)$(DEBUG_DIR)/$(T)-syms-$(XEN_FULLVERSION).map
	$(INSTALL_DATA) $(KCONFIG_CONFIG) $(D)$(BOOT_DIR)/$(T)-$(XEN_FULLVERSION).config
	if [ -r $(TARGET).efi -a -n '$(EFI_DIR)' ]; then \
		[ -d $(D)$(EFI_DIR) ] || $(INSTALL_DIR) $(D)$(EFI_DIR); \
		$(INSTALL_DATA) $(TARGET).efi $(D)$(EFI_DIR)/$(T)-$(XEN_FULLVERSION).efi; \
		if [ -e $(TARGET).efi.map ]; then \
			$(INSTALL_DATA) $(TARGET).efi.map $(D)$(DEBUG_DIR)/$(T)-$(XEN_FULLVERSION).efi.map; \
		fi; \
		ln -sf $(T)-$(XEN_FULLVERSION).efi $(D)$(EFI_DIR)/$(T)-$(XEN_VERSION).$(XEN_SUBVERSION).efi; \
		ln -sf $(T)-$(XEN_FULLVERSION).efi $(D)$(EFI_DIR)/$(T)-$(XEN_VERSION).efi; \
		ln -sf $(T)-$(XEN_FULLVERSION).efi $(D)$(EFI_DIR)/$(T).efi; \
		if [ -n '$(EFI_MOUNTPOINT)' -a -n '$(EFI_VENDOR)' ]; then \
			$(INSTALL_DATA) $(TARGET).efi $(D)$(EFI_MOUNTPOINT)/efi/$(EFI_VENDOR)/$(T)-$(XEN_FULLVERSION).efi; \
		elif [ "$(D)" = "$(patsubst $(shell cd $(XEN_ROOT) && pwd)/%,%,$(D))" ]; then \
			echo 'EFI installation only partially done (EFI_VENDOR not set)' >&2; \
		fi; \
	fi

.PHONY: _tests
_tests:
	$(MAKE) -f $(BASEDIR)/Rules.mk -C test tests

.PHONY: _uninstall
_uninstall: D=$(DESTDIR)
_uninstall: T=$(notdir $(TARGET))
_uninstall: Z=$(CONFIG_XEN_INSTALL_SUFFIX)
_uninstall:
	rm -f $(D)$(BOOT_DIR)/$(T)-$(XEN_FULLVERSION).config
	rm -f $(D)$(BOOT_DIR)/$(T)-$(XEN_FULLVERSION)$(Z)
	rm -f $(D)$(BOOT_DIR)/$(T)-$(XEN_VERSION).$(XEN_SUBVERSION)$(Z)
	rm -f $(D)$(BOOT_DIR)/$(T)-$(XEN_VERSION)$(Z)
	rm -f $(D)$(BOOT_DIR)/$(T)$(Z)
	rm -f $(D)$(DEBUG_DIR)/$(T)-syms-$(XEN_FULLVERSION)
	rm -f $(D)$(DEBUG_DIR)/$(T)-syms-$(XEN_FULLVERSION).map
	rm -f $(D)$(EFI_DIR)/$(T)-$(XEN_FULLVERSION).efi
	rm -f $(D)$(EFI_DIR)/$(T)-$(XEN_VERSION).$(XEN_SUBVERSION).efi
	rm -f $(D)$(DEBUG_DIR)/$(T)-$(XEN_FULLVERSION).efi.map
	rm -f $(D)$(EFI_DIR)/$(T)-$(XEN_VERSION).efi
	rm -f $(D)$(EFI_DIR)/$(T).efi
	rm -f $(D)$(EFI_MOUNTPOINT)/efi/$(EFI_VENDOR)/$(T)-$(XEN_FULLVERSION).efi

.PHONY: _debug
_debug:
	$(OBJDUMP) -D -S $(TARGET)-syms > $(TARGET).s

.PHONY: _clean
_clean: delete-unfresh-files
	$(MAKE) -C tools clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C include clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C common clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C drivers clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C xsm clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C crypto clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/arm clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/x86 clean
	$(MAKE) -f $(BASEDIR)/Rules.mk -C test clean
	$(MAKE) -f $(BASEDIR)/tools/kconfig/Makefile.kconfig ARCH=$(ARCH) SRCARCH=$(SRCARCH) clean
	find . \( -name "*.o" -o -name ".*.d" -o -name "*.gcno" \) -exec rm -f {} \;
	rm -f include/asm $(TARGET) $(TARGET).gz $(TARGET).efi $(TARGET).efi.map $(TARGET)-syms $(TARGET)-syms.map *~ core
	rm -f include/asm-*/asm-offsets.h
	rm -f .banner

.PHONY: _distclean
_distclean: clean
	rm -f tags TAGS cscope.files cscope.in.out cscope.out cscope.po.out GTAGS GPATH GRTAGS GSYMS .config

$(TARGET).gz: $(TARGET)
	gzip -n -f -9 < $< > $@.new
	mv $@.new $@

$(TARGET): delete-unfresh-files
	$(MAKE) -C tools
	$(MAKE) -f $(BASEDIR)/Rules.mk include/xen/compile.h
	[ -e include/asm ] || ln -sf asm-$(TARGET_ARCH) include/asm
	[ -e arch/$(TARGET_ARCH)/efi ] && for f in boot.c runtime.c compat.c efi.h;\
		do ln -nsf ../../../common/efi/$$f arch/$(TARGET_ARCH)/efi/; done;\
		true
	$(MAKE) -f $(BASEDIR)/Rules.mk -C include
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/$(TARGET_ARCH) asm-offsets.s
	$(MAKE) -f $(BASEDIR)/Rules.mk include/asm-$(TARGET_ARCH)/asm-offsets.h
	$(MAKE) -f $(BASEDIR)/Rules.mk -C arch/$(TARGET_ARCH) $(TARGET)

# drivers/char/console.o contains static banner/compile info. Blow it away.
# Don't refresh these files during e.g., 'sudo make install'
.PHONY: delete-unfresh-files
delete-unfresh-files:
	@if [ ! -r include/xen/compile.h -o -O include/xen/compile.h ]; then \
		rm -f include/xen/compile.h; \
	fi

.banner: Makefile
	@if which figlet >/dev/null 2>&1 ; then \
		echo " Xen $(XEN_FULLVERSION)" | figlet -f tools/xen.flf > $@.tmp; \
	else \
		echo " Xen $(XEN_FULLVERSION)" > $@.tmp; \
	fi
	@mv -f $@.tmp $@

# compile.h contains dynamic build info. Rebuilt on every 'make' invocation.
include/xen/compile.h: include/xen/compile.h.in .banner
	@sed -e 's/@@date@@/$(XEN_BUILD_DATE)/g' \
	    -e 's/@@time@@/$(XEN_BUILD_TIME)/g' \
	    -e 's/@@whoami@@/$(XEN_WHOAMI)/g' \
	    -e 's/@@domain@@/$(XEN_DOMAIN)/g' \
	    -e 's/@@hostname@@/$(XEN_BUILD_HOST)/g' \
	    -e 's!@@compiler@@!$(shell $(CC) $(CFLAGS) --version 2>&1 | head -1)!g' \
	    -e 's/@@version@@/$(XEN_VERSION)/g' \
	    -e 's/@@subversion@@/$(XEN_SUBVERSION)/g' \
	    -e 's/@@extraversion@@/$(XEN_EXTRAVERSION)/g' \
	    -e 's!@@changeset@@!$(shell tools/scmversion $(XEN_ROOT) || echo "unavailable")!g' \
	    < include/xen/compile.h.in > $@.new
	@cat .banner
	@$(PYTHON) tools/fig-to-oct.py < .banner >> $@.new
	@mv -f $@.new $@

include/asm-$(TARGET_ARCH)/asm-offsets.h: arch/$(TARGET_ARCH)/asm-offsets.s
	@(set -e; \
	  echo "/*"; \
	  echo " * DO NOT MODIFY."; \
	  echo " *"; \
	  echo " * This file was auto-generated from $<"; \
	  echo " *"; \
	  echo " */"; \
	  echo ""; \
	  echo "#ifndef __ASM_OFFSETS_H__"; \
	  echo "#define __ASM_OFFSETS_H__"; \
	  echo ""; \
	  sed -rne "/==>/{s:.*==>(.*)<==.*:\1:; s: [\$$#]: :; p;}"; \
	  echo ""; \
	  echo "#endif") <$< >$@

SUBDIRS = xsm arch/$(TARGET_ARCH) common drivers test
define all_sources
    ( find include/asm-$(TARGET_ARCH) -name '*.h' -print; \
      find include -name 'asm-*' -prune -o -name '*.h' -print; \
      find $(SUBDIRS) -name '*.[chS]' -print )
endef

define set_exuberant_flags
    exuberant_flags=`$1 --version 2>/dev/null | (grep -iq exuberant && \
	echo "-I __initdata,__exitdata,__acquires,__releases \
	    -I EXPORT_SYMBOL \
	    --extra=+f --c-kinds=+px") || true` 
endef

.PHONY: xenversion
xenversion:
	@echo $(XEN_FULLVERSION)

.PHONY: _TAGS
_TAGS: 
	set -e; rm -f TAGS; \
	$(call set_exuberant_flags,etags); \
	$(all_sources) | xargs etags $$exuberant_flags -a

.PHONY: _tags
_tags: 
	set -e; rm -f tags; \
	$(call set_exuberant_flags,ctags); \
	$(all_sources) | xargs ctags $$exuberant_flags -a

.PHONY: _gtags
_gtags:
	set -e; rm -f GTAGS GSYMS GPATH GRTAGS
	$(all_sources) | gtags -f -

.PHONY: _cscope
_cscope:
	$(all_sources) > cscope.files
	cscope -k -b -q

.PHONY: _MAP
_MAP:
	$(NM) -n $(TARGET)-syms | grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' > System.map

.PHONY: FORCE
FORCE:

%.o %.i %.s: %.c FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $(*D) $(@F)

%.o %.s: %.S FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $(*D) $(@F)

%/: FORCE
	$(MAKE) -f $(BASEDIR)/Rules.mk -C $* built_in.o built_in_bin.o

kconfig := silentoldconfig oldconfig config menuconfig defconfig \
	nconfig xconfig gconfig savedefconfig listnewconfig olddefconfig \
	randconfig
.PHONY: $(kconfig)
$(kconfig):
	$(MAKE) -f $(BASEDIR)/tools/kconfig/Makefile.kconfig ARCH=$(ARCH) SRCARCH=$(SRCARCH) HOSTCC="$(HOSTCC)" HOSTCXX="$(HOSTCXX)" $@

include/config/%.conf: include/config/auto.conf.cmd $(KCONFIG_CONFIG)
	$(MAKE) -f $(BASEDIR)/tools/kconfig/Makefile.kconfig ARCH=$(ARCH) SRCARCH=$(SRCARCH) HOSTCC="$(HOSTCC)" HOSTCXX="$(HOSTCXX)" silentoldconfig

# Allow people to just run `make` as before and not force them to configure
$(KCONFIG_CONFIG):
	$(MAKE) -f $(BASEDIR)/tools/kconfig/Makefile.kconfig ARCH=$(ARCH) SRCARCH=$(SRCARCH) HOSTCC="$(HOSTCC)" HOSTCXX="$(HOSTCXX)" defconfig

# Break the dependency chain for the first run
include/config/auto.conf.cmd: ;

-include $(BASEDIR)/include/config/auto.conf.cmd

=== debian/changelog ===
xen (4.9.0-0ubuntu3) artful; urgency=medium

  * Applying Xen Security Advisories:
    - CVE-2017-12135 / XSA-226
      - Revert: grant_table: Default to v1, and disallow transitive grants
      - gnttab: don't use possibly unbounded tail calls
      - gnttab: fix transitive grant handling
    - CVE-2017-14316 / XSA-231
      - xen/mm: make sure node is less than MAX_NUMNODES
    - CVE-2017-14318 / XSA-232
      - grant_table: fix GNTTABOP_cache_flush handling
    - CVE-2017-14317 / XSA-233
      - tools/xenstore: dont unlink connection object twice
    - CVE-2017-14319 / XSA-234
      - gnttab: also validate PTE permissions upon destroy/replace
    - XSA-235
      - arm/mm: release grant lock on xenmem_add_to_physmap_one() error paths
    - XSA-237
      - x86: don't allow MSI pIRQ mapping on unowned device
      - x86: enforce proper privilege when (un)mapping pIRQ-s
      - x86/MSI: disallow redundant enabling
      - x86/IRQ: conditionally preserve irq <-> pirq mapping on map error paths
      - x86/FLASK: fix unmap-domain-IRQ XSM hook
    - XSA-238
      - x86/ioreq server: correctly handle bogus
        XEN_DMOP_{,un}map_io_range_to_ioreq_server arguments
    - XSA-239
      - x86/HVM: prefill partially used variable on emulation paths
    - XSA-240
      - x86: limit linear page table use to a single level
      - x86/mm: Disable PV linear pagetables by default
    - XSA-241
      - x86: don't store possibly stale TLB flush time stamp
    - XSA-242
      - x86: don't allow page_unlock() to drop the last type reference
    - XSA-243
      - x86/shadow: Don't create self-linear shadow mappings for 4-level
        translated guests
    - XSA-244
      - x86/cpu: Fix IST handling during PCPU bringup
    - XSA-245
      - xen/page_alloc: Cover memory unreserved after boot in first_valid_mfn
      - xen/arm: Correctly report the memory region in the dummy NUMA helpers

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 10 Oct 2017 11:24:52 +0200

xen (4.9.0-0ubuntu2) artful; urgency=medium

  * Add libxendevicemodel references to d/libxen-dev.install

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 18 Aug 2017 17:22:20 +0200

xen (4.9.0-0ubuntu1) artful; urgency=medium

  * Update to upstream 4.9.0 release.
    Changes include numerous bugfixes, including security fixes for:
    XSA-213 / CVE-2017-8903
    XSA-214 / CVE-2017-8904
    XSA-217 / CVE-2017-10912
    XSA-218 / CVE-2017-10913, CVE-2017-10914
    XSA-219 / CVE-2017-10915
    XSA-220 / CVE-2017-10916
    XSA-221 / CVE-2017-10917
    XSA-222 / CVE-2017-10918
    XSA-223 / CVE-2017-10919
    XSA-224 / CVE-2017-10920, CVE-2017-10921, CVE-2017-10922
    XSA-225 / CVE-2017-10923
  * Additional CVE's:
    - XSA-226 / CVE-2017-12135
    - XSA-227 / CVE-2017-12137
    - XSA-228 / CVE-2017-12136
    - XSA-230 / CVE-2017-12855
  * Additional fixes:
    - debian/rules.real:
      - Add a call to build common tool headers
      - Add a call to install common tool headers
    - Add checking of return values of asprintf calls.
      - d/p/ubuntu/tools-xs-test-hardening.patch
    - Add additional modifications for new libxendevicemodel
      - d/p/ubuntu/tools-libs-abiname.diff
    - Fix a segmentation fault when mmio_hole is set in hvm.cfg (from 4.9.y)
      - d/p/upstream-4.9.1-tools-libxl-Fix-a-segment-fault-when-mmio_hole...
    - Enable Local MCE feature
      - d/p/.../0001-x86-mce-make-mce-barriers-private-to-their-users.patch
      - d/p/.../0002-x86-mce-make-found_error-and-mce_fatal_cpus-private-.patch
      - d/p/.../0003-x86-mce-fix-comment-of-struct-mc_telem_cpu_ctl.patch
      - d/p/.../0004-x86-mce-allow-mce_barrier_-enter-exit-to-return-with.patch
      - d/p/.../0005-x86-mce-handle-host-LMCE.patch
      - d/p/.../0006-x86-mce_intel-detect-and-enable-LMCE-on-Intel-host.patch
      - d/p/.../0007-x86-domctl-generalize-the-restore-of-vMCE-parameters.patch
      - d/p/.../0008-x86-vmce-emulate-MSR_IA32_MCG_EXT_CTL.patch
      - d/p/.../0009-x86-vmce-enable-injecting-LMCE-to-guest-on-Intel-hos.patch
      - d/p/.../0010-x86-vmx-expose-LMCE-feature-via-guest-MSR_IA32_FEATU.patch
      - d/p/.../0011-x86-vmce-tools-libxl-expose-LMCE-capability-in-guest.patch
      - d/p/.../0012-x86-mce-add-support-of-vLMCE-injection-to-XEN_MC_inj.patch
    - Re-introduce (fake) xs_restrict call to keep libxenstore version at
      3.0 for now.
      - d/p/ubuntu/tools-fake-xs-restrict.patch
    - debian/libxenstore3.0.symbols:
      - Added xs_control_command
    - xen-4.9.0/debian/xen-hypervisor-4.9.xen.cfg:
      - Modified GRUB_DEFAULT setting to be dynamic (like update-grub does)
        which should handle non English environments (LP: #1321144)

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Aug 2017 11:37:11 +0200

=== debian/control ===
Source: xen
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>, Ian Jackson <ian.jackson@eu.citrix.com>
Standards-Version: 3.9.4
Build-Depends: autotools-dev, debhelper (>> 9), dpkg-dev (>= 1.16.0~), lsb-release, python-dev, bcc [i386 amd64], gcc-multilib [i386 amd64], e2fslibs-dev, iasl, seabios (>= 1.7.4-2~) [i386 amd64], libaio-dev, libfdt-dev [armhf arm64], libglib2.0-dev, liblzma-dev, libncurses5-dev, libpixman-1-dev, libyajl-dev, pkg-config, uuid-dev, zlib1g-dev
XS-Python-Version: current

Package: libxen-4.9
Architecture: amd64 arm64 armhf i386
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public libs for Xen
 This package contains the shared toolstack libraries for Xen.
Multi-Arch: same

Package: libxenstore3.0
Architecture: amd64 arm64 armhf i386
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Xenstore communications library for Xen
 This package contains the client library interface to XenStore.  .
Multi-Arch: same

Package: libxen-dev
Architecture: amd64 arm64 armhf i386
Section: libdevel
Depends: libxen-4.9 (= ${binary:Version}), libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
Description: Public headers and libs for Xen
 This package contains the public headers and static libraries for Xen.
 .
 The libxenlight library is intended as a common base for all Xen toolstack
 developers.  The libxlutil library contains additional helpers which may
 be useful to toolstack developers.
 .
 The libxenstore library allows userspace processes to interact with the
 XenStore database.  XenStore is a shared database used for interdomain
 communication of configuration and status information.  It is accessible
 to all domains running on the same Xen host.  See
 http://wiki.xen.org/wiki/XenStore for more information.
 .
 The libxenctrl and libxenguest libraries are internal libraries intended
 for use by the Xen toolstack and are not intended to be used directly.
 Toolstack authors should use libxenlight.
Multi-Arch: same

Package: xenstore-utils
Architecture: amd64 arm64 armhf i386
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: xen-utils-common (<= 3.1.0-1)
Conflicts: xen-utils-common (<= 3.1.0-1)
Description: Xenstore command line utilities for Xen
 This package contains command line utilities for interacting with
 XenStore.
 .
 XenStore is a shared database used for interdomain communication of
 configuration and status information.  It is accessible to all domains
 running on the same Xen host.  See http://wiki.xen.org/wiki/XenStore for
 more information.
 .
 In the common case these tools are used by the Xen toolstack running in
 domain0 (or a driver domain) however they may also be used in a guest
 domain to support local scripting which wants to communicate via XenStore.

Package: xen-utils-common
Architecture: all
Depends: lsb-base, python, udev, xenstore-utils, ${misc:Depends}
Description: Xen administrative tools - common files
 The userspace tools to manage a system virtualized through the Xen virtual
 machine monitor.
 .
 This package is only required on the host system (Domain 0) and not on the
 virtual guest systems (Domain U).

Package: xen-utils-4.9
Architecture: amd64 arm64 armhf i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= ${source:Version})
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.9, qemu-system-x86, grub-xen-host [i386 amd64]
Suggests: qemu-utils [i386 amd64], seabios [i386 amd64]
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
 .
 qemu-utils and seabios are neded for "Xen HVM" (amd64 and i386)
Built-Using: ${misc:Built-Using}

Package: xen-hypervisor-4.9-amd64
Architecture: amd64 i386
Provides: xen-hypervisor, xen-hypervisor-4.9, xen-hypervisor-amd64
Breaks: xen-hypervisor-4.6-amd64 (<< 4.9.0), xen-hypervisor-4.7-amd64 (<< 4.9.0), xen-hypervisor-4.8-amd64 (<< 4.9.0)
Replaces: xen-hypervisor-4.6-amd64 (<< 4.9.0), xen-hypervisor-4.7-amd64 (<< 4.9.0), xen-hypervisor-4.8-amd64 (<< 4.9.0)
Depends: ${misc:Depends}
Recommends: xen-utils-4.9
Description: Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-system-amd64
Architecture: amd64 i386
Provides: xen-system
Depends: xen-hypervisor-4.9-amd64, xen-utils-4.9, ${misc:Depends}
Description: Xen System on AMD64 (meta-package)
 This package depends on the latest Xen hypervisor for use on AMD64 and the
 Xen utils.

Package: xen-hypervisor-4.9-arm64
Architecture: arm64
Provides: xen-hypervisor, xen-hypervisor-4.9, xen-hypervisor-arm64
Breaks: xen-hypervisor-4.6-arm64 (<< 4.9.0), xen-hypervisor-4.7-arm64 (<< 4.9.0), xen-hypervisor-4.8-arm64 (<< 4.9.0)
Replaces: xen-hypervisor-4.6-arm64 (<< 4.9.0), xen-hypervisor-4.7-arm64 (<< 4.9.0), xen-hypervisor-4.8-arm64 (<< 4.9.0)
Depends: ${misc:Depends}
Recommends: xen-utils-4.9
Description: Xen Hypervisor on ARM64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-system-arm64
Architecture: arm64
Provides: xen-system
Depends: xen-hypervisor-4.9-arm64, xen-utils-4.9, ${misc:Depends}
Description: Xen System on ARM64 (meta-package)
 This package depends on the latest Xen hypervisor for use on ARM64 and the
 Xen utils.

Package: xen-hypervisor-4.9-armhf
Architecture: armhf
Provides: xen-hypervisor, xen-hypervisor-4.9, xen-hypervisor-armhf
Breaks: xen-hypervisor-4.6-armhf (<< 4.9.0), xen-hypervisor-4.7-armhf (<< 4.9.0), xen-hypervisor-4.8-armhf (<< 4.9.0)
Replaces: xen-hypervisor-4.6-armhf (<< 4.9.0), xen-hypervisor-4.7-armhf (<< 4.9.0), xen-hypervisor-4.8-armhf (<< 4.9.0)
Depends: ${misc:Depends}
Recommends: xen-utils-4.9
Description: Xen Hypervisor on ARMHF
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-system-armhf
Architecture: armhf
Provides: xen-system
Depends: xen-hypervisor-4.9-armhf, xen-utils-4.9, ${misc:Depends}
Description: Xen System on ARMHF (meta-package)
 This package depends on the latest Xen hypervisor for use on ARMHF and the
 Xen utils.

#
# Transitional packages to enforce upgrade (keep around until after 18.04)
#
Package: xen-hypervisor-4.6-amd64
Architecture: amd64 i386
Depends: xen-system-amd64
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.6-armhf
Architecture: armhf
Depends: xen-system-armhf
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.6-arm64
Architecture: arm64
Depends: xen-system-arm64
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.7-amd64
Architecture: amd64 i386
Depends: xen-system-amd64
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.7-armhf
Architecture: armhf
Depends: xen-system-armhf
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.7-arm64
Architecture: arm64
Depends: xen-system-arm64
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.8-amd64
Architecture: amd64 i386
Depends: xen-system-amd64
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.8-armhf
Architecture: armhf
Depends: xen-system-armhf
Section: oldlibs
Description: Transitional package for upgrade

Package: xen-hypervisor-4.8-arm64
Architecture: arm64
Depends: xen-system-arm64
Section: oldlibs
Description: Transitional package for upgrade
